org.apache.fop.pdf

## Class PDFSignature

- java.lang.Object
- - org.apache.fop.pdf.PDFSignature

    public class PDFSignature
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`PDFSignature(PDFRoot root, FOUserAgent userAgent, PDFSignParams signParams)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `add(PDFPage page)`
`void` `signPDF(URI uri, OutputStream os)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PDFSignature

    public PDFSignature(PDFRoot root,
                        FOUserAgent userAgent,
                        PDFSignParams signParams)

### Method Detail

#### add

    public void add(PDFPage page)

#### signPDF

    public void signPDF(URI uri,
                        OutputStream os)
                 throws IOException

Throws:
  `IOException`